classification
Title: PEP 3121, 384 Refactoring applied to operator module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, loewis, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 09:11 by Robin.Schreiber, last changed 2020-06-22 09:27 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
operator_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 09:11
Messages (2)
msg168363 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 09:11
Changes proposed in PEP3121 and PEP384 have now been applied to the operator module!
msg372067 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-22 09:27
Fixed by:

commit f3d5ac47720045a72f7ef5af13046d9531e6007b
Author: Paulo Henrique Silva <ph.silva@carta.com>
Date:   Tue Mar 24 23:18:47 2020 -0300

    bpo-1635741: Port operator module to multiphase initialization (PEP 489) (GH-19150)
History
Date User Action Args
2020-06-22 09:27:02vstinnersetstatus: open -> closed

versions: + Python 3.10, - Python 3.4
nosy: + vstinner

messages: + msg372067
resolution: fixed
stage: resolved
2012-11-08 13:46:49Robin.Schreibersetkeywords: + pep3121, - patch
nosy: + loewis
2012-08-27 03:46:04belopolskylinkissue15787 dependencies
2012-08-16 09:11:09Robin.Schreibercreate